<template>
  <div class="catalog_items container">
    <ul class="columns is-multiline is-desktop">
      <li
        v-for="service in services"
        :key="service.id"
        class="column is-full-mobile is-half-desktop is-one-third-fullhd"
      >
        <router-link
          tag="div"
          :to="{name: 'service-overview', params:{id: service.id}}"
          class="max-height"
        >
          <ServiceCatalogItem :service="service" />
        </router-link>
      </li>
    </ul>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import { CatalogItem } from "@/services/osb/catalog";
import ServiceCatalogItem from "@/components/ServiceCatalogItem.vue";

@Component({
  components: {
    ServiceCatalogItem
  }
})
export default class ServiceCatalogItems extends Vue {
  @Prop() public services!: CatalogItem[];
}
</script>

<style lang="scss" scoped>
.catalog_items {
  padding: 100px 0;
}

.max-height {
  height: 100%;
}
</style>
